//.################################################
//# Copyright © 2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;
using Evolving.TrueView.UI;

using System.Diagnostics;
using System.Reflection;
using System.Windows.Forms;

namespace TestApplication
{

    public class GettingStartedPresenter : IPresenterInfrastructureService<GettingStarted>
    {

        public void ApplyStyle(GettingStarted domainObject, MemberInfo memberInfo, IStyleArgs memberStyle)
        {
            
        }

        public void ApplyStyle(GettingStarted domainObject, IStyleArgs objectStyle)
        {
            
        }

        public Control CreateAdornmentFor(GettingStarted domainObject)
        {
            return null;
        }

        public Control CreateAdornmentFor(GettingStarted domainObject, PropertyInfo propertyInfo)
        {
            return null;
        }

        public Control CreateViewFor(GettingStarted domainObject)
        {
            return new GettingStartedForm();
        }

    }
}
